<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('estresse', function (Blueprint $table) {
            $table->id('est_id'); // auto incremento
            $table->string('est_ip');
            $table->string('setor')->nullable();
            $table->string('escolaridade')->nullable();
            $table->text('respostas')->nullable();
            $table->date('est_data'); // apenas o dia, sem horário
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('estresse');
    }
};
